#!/bin/sh

set -eu

sitezone="$1"

cfg_script="$0"
cfg_srcdir=$(cd -- "${cfg_script%/*}/" ; pwd -P)

source /root/config/private/config/server.domains
source /root/config/private/config/hostinfo/${sitezone}

sed -e 's/@server_domains@/'"${server_domains}"'/g' \
	-e 's/@smtphost@/'"${smtphost}"'/g'          \
	-e 's/@mailing_lists@/'"${mailing_lists}"'/g' \
	"${cfg_srcdir}/main.cf.in"
